#!/usr/bin/env bash
set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT

tools/setup.sh

tools/full-clean.sh

tools/install-headers.sh

cmake -S . -B $LUNA_BUILD_DIR -G "$LUNA_CMAKE_GENERATOR_NAME" -DBUILD_TESTS=ON
cmake --build $LUNA_BUILD_DIR

rm initrd/etc/init/*

printf "Name=test\nCommand=/bin/run-tests\nWait=true\n" > initrd/etc/init/00-tests

tools/make-iso.sh

set +e
tools/fast-run.sh
set -e

rm initrd/etc/init/00-tests

git checkout initrd/etc/init/
